
/* Copyright 2023 Haakan T. Johansson */

/*  This file is part of WIGSGLL.
 *
 *  WIGSGLL is free software: you can redistribute it and/or modify it
 *  under the terms of the GNU Lesser General Public License as
 *  published by the Free Software Foundation, either version 3 of the
 *  License, or (at your option) any later version.
 *
 *  WIGSGLL is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with WIGSGLL.  If not, see
 *  <http://www.gnu.org/licenses/>.
 */

#define CALC_TYPE    double
#define CALC_SUFFIX  d
#define CALC_SQRT    sqrt
#define CALC_FABS    fabs
#include "wigsgll_3jm6j.h"
#undef  CALC_TYPE
#undef  CALC_SUFFIX
#undef  CALC_SQRT
#undef  CALC_FABS

#define CALC_TYPE    long double
#define CALC_SUFFIX  ld
#define CALC_SQRT    sqrtl
#define CALC_FABS    fabsl
#include "wigsgll_3jm6j.h"
#undef  CALC_TYPE
#undef  CALC_SUFFIX
#undef  CALC_SQRT
#undef  CALC_FABS

#define CALC_TYPE    __float128
#define CALC_SUFFIX  qd
#define CALC_SQRT    sqrtq
#define CALC_FABS    fabsq
#include "wigsgll_3jm6j.h"
#undef  CALC_TYPE
#undef  CALC_SUFFIX
#undef  CALC_SQRT
#undef  CALC_FABS
